import '../../models/chat.dart';

abstract class ChatCreateState {}

class ChatCreateIdleState extends ChatCreateState {}

class ChatCreateLoadingState extends ChatCreateState {}

class ChatCreateSuccessState extends ChatCreateState {
  final Chat chat;

  ChatCreateSuccessState(this.chat);
}

class ChatCreateErrorState extends ChatCreateState {
  final String error;

  ChatCreateErrorState(this.error);
}
