import '../../models/signal.dart';

abstract class ChatSignalEvent {}

class ChatSignalAddEvent extends ChatSignalEvent {
  final ChatSignal signal;

  ChatSignalAddEvent(this.signal);
}

class ChatSignalReceiveEvent extends ChatSignalEvent {
  final ChatSignal signal;

  ChatSignalReceiveEvent(this.signal);
}

class ChatSignalDeleteEvent extends ChatSignalEvent {
  final ChatSignal signal;

  ChatSignalDeleteEvent(this.signal);
}
