import '../../models/message.dart';

abstract class MessageState {}

class MessageIdleState extends MessageState {}

class MessageLoadingState extends MessageState {}

class MessagedLoadedState extends MessageState {
  final List<Message> messages;

  MessagedLoadedState(this.messages);
}

class MessageErrorState extends MessageState {
  final String error;

  MessageErrorState(this.error);
}
