import '../screens/chat_screen.dart';
import '../screens/chat_create_screen.dart';
import '../screens/message_screen.dart';

class ChatRouteType {
  static String get chatsRoute => "/chats";
  static String get chatCreateRoute => "/ocg_chat/create";
  static String get messagesScreen => "/messages";
}

class ChatRoute {
  static get routes => {
        ChatRouteType.chatsRoute: (context) => ChatScreen(),
        ChatRouteType.chatCreateRoute: (context) => ChatCreateScreen(),
        ChatRouteType.messagesScreen: (context) => MessageScreen()
      };
}
