import '../../models/chat.dart';

abstract class ChatState {}

class ChatLoadingState extends ChatState {}

class ChatLoadedState extends ChatState {
  final List<Chat> chats;

  ChatLoadedState(this.chats);
}

class ChatErrorState extends ChatState {
  final String error;

  ChatErrorState(this.error);
}
