// import 'dart:io';

// import 'package:flutter/foundation.dart';
// import 'package:moor/ffi.dart';
// import 'package:moor/moor.dart';
// import 'package:path_provider/path_provider.dart';
// import 'package:path/path.dart' as p;

// part 'message.g.dart';

// class DBMessages extends Table {
//   TextColumn get id => text()();
//   TextColumn get chatId => text()();
//   TextColumn get content => text()();
//   TextColumn get senderId => text()();
//   TextColumn get type => text()();
//   TextColumn get receiveData => text().nullable()();
//   IntColumn get state => integer().nullable()();
//   DateTimeColumn get recordedAt => dateTime()();

//   @override
//   Set<Column> get primaryKey => {id};
// }

// LazyDatabase _openConnection() {
//   // the LazyDatabase util lets us find the right location for the file async.
//   return LazyDatabase(() async {
//     // put the database file, called db.sqlite here, into the documents folder
//     // for your app.
//     final dbFolder = await getApplicationDocumentsDirectory();
//     final file = File(p.join(dbFolder.path, 'messagedb.sqlite'));
//     return VmDatabase(file);
//   });
// }

// @UseMoor(tables: [DBMessages])
// class MessageDatabase extends _$MessageDatabase {
//   MessageDatabase() : super(_openConnection());

//   int get schemaVersion => 1;

//   Future<void> insertMessages(List<DBMessage> messages) async {
//     await batch((batch) {
//       batch.insertAll(
//           dBMessages,
//           messages
//               .map((e) => DBMessagesCompanion.insert(
//                   id: e.id,
//                   chatId: e.chatId,
//                   content: e.content,
//                   senderId: e.senderId,
//                   type: e.type,
//                   receiveData: Value(e.receiveData),
//                   state: Value(e.state),
//                   recordedAt: e.recordedAt))
//               .toList());
//     });
//   }

//   Future<void> updateState(String messageId, int state) async {
//     await (update(dBMessages)..where((tbl) => tbl.id.equals(messageId)))
//         .write(DBMessagesCompanion(state: Value<int>(state)));
//   }

//   Future<void> updateReceiveData(String messageId, String receiveData) async {
//     await (update(dBMessages)..where((tbl) => tbl.id.equals(messageId)))
//         .write(DBMessagesCompanion(receiveData: Value<String>(receiveData)));
//   }

//   Future<void> updateMessage(DBMessage message) async {
//     var rows = await (select(dBMessages)
//           ..where((tbl) => tbl.id.equals(message.id)))
//         .get();
//     if (rows.length == 0) {
//       await into(dBMessages).insert(message, mode: InsertMode.insertOrIgnore);
//     } else {}
//   }

//   Stream<List<DBMessage>> subscribe() {
//     return (select(dBMessages)).watch();
//   }

//   Future<List<DBMessage>> fetchMessages() {
//     return (select(dBMessages)).get();
//   }

//   Future<DBMessage> fetchMessage(String id) {
//     return (select(dBMessages)..where((tbl) => tbl.id.equals(id))).getSingle();
//   }
// }
